1. ⚙️Settings
Autozod
  • Agent
    • Create Agent
      POST
    • Update Agent On Duty Status
      POST
    • Update Agent Location
      POST
    • Search
      POST
    • Delete Agent
      POST
    • List Agents
      GET
  • Agent Comissions
    • List agent commissions
      GET
  • Language Translations
    • Update language translations
      POST
  • Task
    • Create Tasks
      POST
    • Update Task
      POST
    • List Tasks
      GET
    • Delete Task
      POST
    • Update Task Status
      POST
    • Assign Agent
      POST
    • Task Reset
      POST
    • Send notification
      POST
  • ⚙️Settings
    • Team Settings
      POST
    • Team Settings
      GET
    • Get Language Settings
      GET
  • Webhooks
    • Create Webhook
      POST
  • Agent Session
    • Get Logs
      GET
    • Get Active Hours
      GET
  1. ⚙️Settings

Team Settings

POST
{{host}}/v1/settings

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request POST 'https://www.autozod.app/v1/settings' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "team_id": 1000,
    "settings": [
        {
            "setting_key": "language_client",
            "locale": "hi",
            "setting_value": {
                "Home": {
                    "dutyStatusOn": "On Duty Yes",
                    "dutyStatusOf": "Off Duty",
                    "dutyStatusMessage": "You are Off Duty. Go On Duty to start accepting tasks.",
                    "dashboard.title": "Today So Far",
                    "dashboard.OrdersDelivered": "Orders Delivered",
                    "dashboard.LoginDuration": "Login Duration",
                    "dashboard.MoneyEarned": "Money Earned",
                    "dashboard.DistanceTravelled": "Distance Travelled"
                },
                "Tasks": {
                    "title": "Tasks",
                    "description": "No Incoming Task Found.",
                    "incoming": "Incoming",
                    "incoming.reject": "REJECT",
                    "incoming.accept": "ACCEPT",
                    "incoming.estEarning": "EST EARNING",
                    "active": "Active",
                    "active.status": "Status",
                    "active.navigate": "Navigate",
                    "active.collected": "Collected",
                    "active.reachedPickupLocationButton": "Reached Pickup Location",
                    "active.confirmItemsButton": "Confirm Items",
                    "active.completePickupButton": "Complete Pickup",
                    "active.reachedDeliveryLocationButton": "Reached Delivery Location",
                    "active.collectTitle": "PAYMENT INFORMATION",
                    "active.collectdescription": "To Be Collected From Customer",
                    "active.collectButton": "Collect Now",
                    "active.completeButton": "Complete Delivery",
                    "Delivered": "Delivered"
                },
                "Earnings": {
                    "title": "Earnings",
                    "Description": "DESCRIPTION",
                    "unit": "UNIT",
                    "payout": "PAYOUT"
                },
                "Reports": {
                    "title": "Reports",
                    "totalOrders": "Total Orders",
                    "AverageDeliveryTime": "Avg Del Time",
                    "TotalDistance": "Total Distance"
                },
                "Profile": {
                    "report.title": "Reports",
                    "logout.button": "Logout",
                    "delete.button": "Delete Account",
                    "delete.title": "deleting Account",
                    "delete.description": "Deleting your account will remove all your personal information from our database. This cannot be undone.",
                    "delete.cancel": "Cancel"
                },
                "Common": {
                    "pickup": "PICKUP",
                    "drop": "DROP",
                    "order": "Order",
                    "amountPaid": "Amount Paid"
                },
                "Signup": {
                    "title": "Sign up",
                    "desciption": "Enter your details to create account",
                    "firstname": "First name",
                    "lastname": "Last name",
                    "email": "Email",
                    "contactNumber": "Contact Number",
                    "teamId": "Team ID",
                    "password": "Password",
                    "button": "Sign up"
                },
                "Login": {
                    "title": "Login",
                    "description": "enter your details to access the account",
                    "email": "Email",
                    "password": "Password",
                    "button": "Sign in"
                }
            }
        },
        {
            "setting_key": "locales",
            "setting_value": [
                {
                    "locale": "hi",
                    "default": true
                },
                {
                    "locale": "en"
                },
                {
                    "locale": "ar"
                },
                {
                    "locale": "he"
                }
            ]
        }
    ]
}'
Response Response Example
{}
Modified at 2025-04-28 07:47:01
Previous
Send notification
Next
Team Settings
Built with